# Uses of Class
org.eclipse.mat.parser.model.ObjectArrayImpl

Packages that use ObjectArrayImpl
Package
Description
org.eclipse.mat.dtfj
This provides the parser for IBM Diagnostic Tooling Framework for Java (DTFJ) dumps, and is just a parser extension, not an Application Programming Interface (API).
org.eclipse.mat.hprof
Parser for HPROF dumps, just a parser extension, not an Application Programming Interface (API).
org.eclipse.mat.parser
Interfaces for handling indexes.

## Uses of ObjectArrayImpl in org.eclipse.mat.dtfj

Methods in org.eclipse.mat.dtfj with parameters of type ObjectArrayImpl
Modifier and Type
Method
Description
`long[]`
DTFJHeapObjectReader.`readObjectArrayContent(ObjectArrayImpl array, int offset, int length)`
Read some of the contents of an array

## Uses of ObjectArrayImpl in org.eclipse.mat.hprof

Methods in org.eclipse.mat.hprof with parameters of type ObjectArrayImpl
Modifier and Type
Method
Description
`long[]`
HprofHeapObjectReader.`readObjectArrayContent(ObjectArrayImpl array, int offset, int length)`

## Uses of ObjectArrayImpl in org.eclipse.mat.parser

Methods in org.eclipse.mat.parser with parameters of type ObjectArrayImpl
Modifier and Type
Method
Description
`long[]`
IObjectReader.`readObjectArrayContent(ObjectArrayImpl array, int offset, int length)`
Get detailed information about a object array